Sync gnome-web-photo 0.10.6-1 (universe) from Debian unstable (main)

Bug #1296120 reported by Jackson Doak on 2014-03-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-web-photo (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync gnome-web-photo 0.10.6-1 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Use autotools-dev to update config.{guess,sub} to fix the arm64 FTBFS.
  * New upstream release (LP: #724701)
  * Packaging from scratch except for watch file to reflect change
    to webkit
  * Add build-depends on dh-autoreconf and gnome-common
    - update debian/control
  * Use wrap-and-sort on debian/control
  * Port to xulrunner 2.0
  * Fix FTBFS with ld --no-add-needed
  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/scripts/gnome-web-photo: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349
  * fix LP: #625801 - gnome-web-photo missing required libxul.so; update
    wrapper script to use the current xulrunner-1.9.2 directory instead of
    any directory matching xulrunner-1.9.2*
    - update debian/scripts/gnome-web-photo
  * Explicitely build depend on xulrunner-1.9.2-dev due to change in wrapper
    script
    - update debian/control
  * Drop extra '\' file that got into the diff
    - drop \
  [ Micah Gersten <email address hidden> ]
  * debian/control: update to xulrunner-1.9.2
  [ Chris Coulson <email address hidden> ]
  * Add the xulrunner binary depends using dh_xulrunner:
    - update debian/control and debian/rules
  * Don't add a hardcoded path to the xulrunner headers to CFLAGS,
    use the output of pkg-config instead. Ideally, the upstream
    build system should just be fixed so that we don't need to do
    this at all.
    - update debian/rules
  [ Micah Gersten <email address hidden> ]
  * debian/control: update to xulrunner-1.9.2
  [ Chris Coulson <email address hidden> ]
  * Add the xulrunner binary depends using dh_xulrunner:
    - update debian/control and debian/rules
  * Don't add a hardcoded path to the xulrunner headers to CFLAGS,
    use the output of pkg-config instead. Ideally, the upstream
    build system should just be fixed so that we don't need to do
    this at all.
    - update debian/rules
  * proper quoting in the wrapper script, so that filenames with spaces
    work (LP: #355511)
  * look for xulrunner 1.9.1, not 1.9.0 (LP: #423822)
  * make the wrapper script a bit of a better guesser, in hopes of
    preventing bugs like #423822.
  * make the wrapper script a /bin/sh script, fixing the only (trivial)
    bashism
  * proper quoting in the wrapper script, so that filenames with spaces
    work (LP: #355511)
  * look for xulrunner 1.9.1, not 1.9.0 (LP: #423822)
  * make the wrapper script a bit of a better guesser, in hopes of
    preventing bugs like #423822.
  * make the wrapper script a /bin/sh script, fixing the only (trivial)
    bashism
  * xulrunner-1.9.1 by default transition
    + see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5
      - bump minimal xulrunner-dev version
  [ Dennis Craven ]
  * New upstream release (LP: #395576).
    - Exit when xulrunner startup fails
    - Build fix for xulrunner 1.9.1
  [ Nick Ellery ]
  * Update standards-version to 3.8.2, no changes necessary.
  * Update debhelper build-dep to >= 5.
  * Change debian/compat to 5.
  * debian/gnome-web-photo.install, debian/scripts:
     - Create a launcher script so that allow it to load xulrunner.
       Thanks to Emilio López <email address hidden>. (LP: #342408).
  * debian/rules:
     - Rename the gnome-web-photo binary as "gnome-web-photo.real".
  * debian/control:
     - Add xulrunner-1.9 to the Depends.
     - Remove the Homepage - it just points to an FTP site.
  * debian/gnome-web-photo.install, debian/scripts:
     - Create a launcher script so that allow it to load xulrunner.
       Thanks to Emilio López <email address hidden>. (LP: #342408).
  * debian/rules:
     - Rename the gnome-web-photo binary as "gnome-web-photo.real".
  * debian/control:
     - Add xulrunner-1.9 to the Depends.
     - Remove the Homepage - it just points to an FTP site.
  * New upstream release
    - Don't set config.use_system_prefs to true (Vincent Untz)
    - Translation updates
  * debian/control:
    - remove libgnomevfs2-dev b-d
    - replace gconf2 b-d by libgconf2-dev
  * no changes upload for nss/nspr SONAME mini-transition
  * New upstream release.
  * debian/control: replace libxul-dev with xulrunner-1.9-dev.
  * debian/watch: added.
  * debian/rules: --with-gecko=xulrunner.
  * debian/control: replaced firefox-dev with libxul-dev.
  * debian/rules: --with-gecko=xulrunner.
  * debian/control: replaced firefox-dev with libxul-dev.
  * debian/rules: --with-gecko=xulrunner.
  * debian/control: replaced firefox-dev with libxul-dev.
  * New upstream release:
    - Renice when thumbnailing
    - Thumbnail application/xhtml+xml files
    - Initialise GThread before calling any glib function
  * debian/control:
    - added libjpeg62-dev as Build-Depends.
  * New upstream release:
    - Renice when thumbnailing
    - Thumbnail application/xhtml+xml files
    - Initialise GThread before calling any glib function
  * debian/control:
    - added libjpeg62-dev as Build-Depends.
  * New upstream release:
    - Renice when thumbnailing
    - Thumbnail application/xhtml+xml files
    - Initialise GThread before calling any glib function
  * debian/control:
    - added libjpeg62-dev as Build-Depends.
  * New upstream release.
  * New upstream release.
  * New upstream release.
All fixed in debian, plus new upstream bugfix release

Changelog entries since current trusty version 0.10.1-0ubuntu2:

gnome-web-photo (0.10.6-1) unstable; urgency=low

  * New upstream release
  * Update to debhelper 9
  * Add homepage
  * Update to standards 3.9.5, no change

 -- Antoine Beaupré <email address hidden> Mon, 13 Jan 2014 23:42:36 -0500

gnome-web-photo (0.10.1-1) unstable; urgency=low

  * Package for Debian sid (Closes: #615033)
  * Make myself maintainer

 -- Antoine Beaupré <email address hidden> Thu, 02 Jan 2014 11:31:29 -0500

Jackson Doak (noskcaj) on 2014-03-22
Changed in gnome-web-photo (Ubuntu):
importance: Undecided → Wishlist
Martin Pitt (pitti) wrote :

This bug was fixed in the package gnome-web-photo - 0.10.6-1
Sponsored for Jackson Doak (noskcaj)

---------------
gnome-web-photo (0.10.6-1) unstable; urgency=low

  * New upstream release
  * Update to debhelper 9
  * Add homepage
  * Update to standards 3.9.5, no change

 -- Antoine Beaupré <email address hidden> Mon, 13 Jan 2014 23:42:36 -0500

gnome-web-photo (0.10.1-1) unstable; urgency=low

  * Package for Debian sid (Closes: #615033)
  * Make myself maintainer

 -- Antoine Beaupré <email address hidden> Thu, 02 Jan 2014 11:31:29 -0500

gnome-web-photo (0.10.1-0ubuntu2) trusty; urgency=low

  * Use autotools-dev to update config.{guess,sub} to fix the arm64 FTBFS.

 -- Logan Rosen <email address hidden> Wed, 30 Oct 2013 01:53:43 -0400

gnome-web-photo (0.10.1-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #724701)
  * Packaging from scratch except for watch file to reflect change
    to webkit

 -- Micah Gersten <email address hidden> Fri, 22 Apr 2011 12:19:27 -0500

Changed in gnome-web-photo (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers